## rock-master-20.01-tools-qxcfg 0.20181214

=== CMakeLists.txt ===
# CMakeLists.txt has to be located in the project folder and cmake has to be
# executed from 'project/build' with 'cmake ../'.
cmake_minimum_required(VERSION 2.6)
find_package(Rock)
rock_init(qxcfg 0.1)
rock_activate_cxx11()
set(PROJECT_DESCRIPTION "Quick XML handling and XML-based configuration")
rock_standard_layout()

=== src/CMakeLists.txt ===
find_package(Boost REQUIRED filesystem system)
include_directories(${Boost_INCLUDE_DIR})

rock_library(qxcfg
    SOURCES Configuration.cpp
        utils/XMLUtils.cpp
    HEADERS Configuration.hpp
        utils/XMLUtils.hpp
    DEPS_PKGCONFIG
        libxml-2.0
        base-logging
)
target_link_libraries(qxcfg ${Boost_LIBRARIES})

=== test/CMakeLists.txt ===
rock_testsuite(test_suite suite.cpp
    test_Configuration.cpp
    test_Utils.cpp
    DEPS qxcfg)

=== debian/changelog ===
rock-master-20.01-tools-qxcfg (0.20181214-1~xenial) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-tools/tools-qxcfg.git
  * branch: refs/heads/master
  * commit: db529d1ed4e005584ca43f3e914580cf3d1b566b
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Sat, 08 Feb 2020 23:31:31 +0100

=== debian/control ===
Source: rock-master-20.01-tools-qxcfg
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, libboost-dev, libboost-filesystem-dev, libboost-graph-dev, libboost-iostreams-dev, libboost-program-options-dev, libboost-regex-dev, libboost-system-dev, libboost-thread-dev, libxml2-dev, rock-master-20.01-base-cmake, rock-master-20.01-base-logging
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.01-tools-qxcfg
Architecture: any
Depends: ${shlibs:Depends}, rock-master-20.01-base-cmake, rock-master-20.01-base-logging, cmake, libboost-dev, libboost-graph-dev, libboost-program-options-dev, libboost-regex-dev, libboost-thread-dev, libboost-filesystem-dev, libboost-iostreams-dev, libboost-system-dev, libxml2-dev
Description: Quick XML handling and XML-based configuration
 A library to allow quick configuration of libraries using XML
